> ## Documentation Index
> Fetch the complete documentation index at: https://docs.contentignite.com/llms.txt
> Use this file to discover all available pages before exploring further.

# /tag/:uid/experiment/:id

> Updates an existing config. Actions are restricted for live experiments, to just modifying dates and the title & description



## OpenAPI

````yaml /openapi.json put /v1/tag/{uid}/experiment/{id}
openapi: 3.0.1
info:
  title: CI Public API
  description: >-
    # Introduction

    Welcome to the Content Ignite API. A central place for all Content Ignite
    functionality. 


    This API enforces a separation between function and form, meaning anything
    you can do in our platforms can be replicated in your own bespoke solution.


    # Authentication

    Authentication is handled via JWTs. You can retrieve your unique JSON Web
    Token from the settings page in the platform, which needs to be passed in
    with every request.

    To do this, simple include it in an Authorization header with the "Bearer"
    key word.


    Please contact support for help getting started.


    # Error Codes

    This is a fully RESTful API, so prepare for a number of different HTTP
    status codes.


    There is also a standard "success" field returned for each request. This
    boolean value can provide a first check against a response.


    # Rate limit

    We reserve the right to block requests if we deem a client to be abusing the
    API.
  version: 1.0.0
servers:
  - url: https://api.tagdeliver.com
    description: Production
security:
  - BearerAuth: []
tags:
  - name: Reporting
  - name: Reporting/Revenue Reports
  - name: Reporting/Experiment Reporting
  - name: Reporting/Campaign Reports
  - name: Reporting/Health Check
  - name: Reporting/Ads.txt
  - name: Reporting/Utility
  - name: Reporting/Insights Hub
  - name: Reporting/Insights Hub/SSP Insights
  - name: Reporting/Insights Hub/Core Web Vitals
  - name: Reporting/Insights Hub/Ads.txt Insights
  - name: Reporting/Insights Hub/Live Insights
  - name: Reporting/Insights Hub/Metrics
  - name: Reporting/Insights Hub/Diagnostics
  - name: Reporting/Insights Hub/Revenue Insights
  - name: Reporting/Insights Hub/Revenue Analytics
  - name: Reporting/Insights Hub/Demand Mix
  - name: Reporting/Insights Hub/Benchmarking
  - name: Organisation
  - name: Organisation/Organisation Meta
  - name: Organisation/Pricing
  - name: Ad Stack
  - name: Ad Stack/Integration
  - name: Publisher
  - name: Publisher/Publisher Stack
  - name: Publisher/Publisher Tag
  - name: Publisher/Publisher Meta
  - name: Publisher/Experiment
  - name: Publisher/Config (Ad unit)
  - name: Publisher/App Placement
  - name: Billing
  - name: Billing/Invoice
  - name: '[IN PROGRESS] Integration'
  - name: '[TODO] User'
  - name: '[TODO] User/Account'
  - name: public
paths:
  /v1/tag/{uid}/experiment/{id}:
    put:
      tags:
        - Publisher/Experiment
        - public
      summary: /tag/:uid/experiment/:id
      description: >-
        Updates an existing config. Actions are restricted for live experiments,
        to just modifying dates and the title & description
      parameters:
        - name: uid
          in: path
          description: Publisher ID
          required: true
          example: 0
          schema:
            type: integer
        - name: id
          in: path
          description: Experiment ID
          required: true
          example: 0
          schema:
            type: integer
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                start:
                  type: string
                  format: date
                end:
                  type: string
                  format: date
            examples: {}
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  results:
                    type: object
                    properties:
                      id:
                        type: integer
                      uid:
                        type: integer
                      title:
                        type: string
                      start:
                        type: string
                      end:
                        type: string
                      auto_activate:
                        type: boolean
                      subject:
                        type: array
                        items:
                          type: object
                          properties:
                            allocation:
                              type: integer
                            config_id:
                              type: integer
                          required:
                            - allocation
                            - config_id
                      url_filter:
                        type: object
                        properties:
                          matches:
                            type: array
                            items:
                              type: string
                          type:
                            type: string
                        required:
                          - matches
                          - type
                      device_filter:
                        type: object
                        properties:
                          matches:
                            type: array
                            items:
                              type: string
                          type:
                            type: string
                        required:
                          - matches
                          - type
                      geo_filter:
                        type: object
                        properties:
                          matches:
                            type: array
                            items:
                              type: string
                          type:
                            type: string
                        required:
                          - matches
                          - type
                      audience_filter:
                        type: object
                        properties:
                          matches:
                            type: array
                            items:
                              type: string
                          type:
                            type: string
                        required:
                          - matches
                          - type
                      browser_filter:
                        type: object
                        properties:
                          matches:
                            type: array
                            items:
                              type: string
                          type:
                            type: string
                        required:
                          - matches
                          - type
                      viewport_filter:
                        type: object
                        properties:
                          matches:
                            type: array
                            items:
                              type: string
                          type:
                            type: string
                        required:
                          - matches
                          - type
                      region_filter:
                        type: object
                        properties:
                          matches:
                            type: array
                            items:
                              type: string
                          type:
                            type: string
                        required:
                          - matches
                          - type
                      status:
                        type: integer
                      description:
                        type: string
                        nullable: true
                      os_filter:
                        type: object
                        properties:
                          matches:
                            type: array
                            items:
                              type: string
                          type:
                            type: string
                        required:
                          - matches
                          - type
                    required:
                      - id
                      - uid
                      - title
                      - start
                      - end
                      - auto_activate
                      - subject
                      - url_filter
                      - device_filter
                      - geo_filter
                      - audience_filter
                      - browser_filter
                      - viewport_filter
                      - region_filter
                      - status
                      - description
                      - os_filter
                  success:
                    type: boolean
                required:
                  - results
                  - success
              example:
                results:
                  id: 146
                  uid: 18620
                  title: LB 1 Variant Test
                  start: '2025-09-26'
                  end: '2025-10-31'
                  auto_activate: false
                  subject:
                    - allocation: 50
                      config_id: 8392
                    - allocation: 50
                      config_id: 8393
                  url_filter:
                    matches: []
                    type: include
                  device_filter:
                    matches: []
                    type: include
                  geo_filter:
                    matches: []
                    type: include
                  audience_filter:
                    matches: []
                    type: include
                  browser_filter:
                    matches: []
                    type: include
                  viewport_filter:
                    matches: []
                    type: include
                  region_filter:
                    matches: []
                    type: include
                  status: 1
                  description: null
                  os_filter:
                    matches: []
                    type: include
                success: true
          headers: {}
      deprecated: false
      security:
        - BearerAuth: []
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````